Package org.gradle.workers

## Enum IsolationMode

- java.lang.Object
- - java.lang.Enum<IsolationMode>
  - - org.gradle.workers.IsolationMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<IsolationMode>`

      @Incubating
      public enum IsolationMode
      extends Enum<IsolationMode>

  Isolation mode for workers.
  Since:
    4.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTO` | Let Gradle decide, this is the default.
    `CLASSLOADER` | Isolate the work in it's own classloader, use in-process workers.
    `NONE` | Don't attempt to isolate the work, use in-process workers.
    `PROCESS` | Isolate the work in a separate process, use out-of-process workers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IsolationMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IsolationMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final IsolationMode AUTO

      Let Gradle decide, this is the default.

    - #### NONE

          public static final IsolationMode NONE

      Don't attempt to isolate the work, use in-process workers.

    - #### CLASSLOADER

          public static final IsolationMode CLASSLOADER

      Isolate the work in it's own classloader, use in-process workers.

    - #### PROCESS

          public static final IsolationMode PROCESS

      Isolate the work in a separate process, use out-of-process workers.

  - ### Method Detail

    - #### values

          public static IsolationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IsolationMode c : IsolationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IsolationMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null